<template>
  <div>
    <div class="overflow-hidden">
      <div>
        <div class="mt-[26px] px-3 pb-[125px]">
          <lobby-black-list-animation :active-tab="tabSelected" />
        </div>
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import _ from "lodash";
import { defineComponent, ref, computed } from "vue";

export default defineComponent({
  name: "Sport",
  setup() {
    const hasBanner = ref(false);
    const route = useRoute();
    const tabSelected = computed(() =>
      _.replace(
        _.replace(route.path.split("/")[1], "-", ""),
        "/",
        ""
      ).toLowerCase()
    );
    return {
      hasBanner,
      tabSelected,
    };
  },
});
</script>

<style scoped></style>
